#include <stdio.h>
#include "nevo.h"

extern play_board arrboard[10];
extern int Wcount[10];
extern int Bcount[10];
extern int Wdist[10];
extern int Bdist[10];

/* Figure out the score for a column, when passed in individual column */
/* Assume white starts at top, scores on the bottom */

int ScoreColumnWhite(int x,int b)
{
 int value=0;
 if (arrboard[b][x][4]=='W')
  {
   value=2;
   if (arrboard[b][x][5]=='W')
     {
      value=5;
      if (arrboard[b][x][6]=='W') value=8;
     }
  }
 return (value);
}


int ScoreColumnBlack(int x,int b)
{
 int value=0;
 if (arrboard[b][x][2]=='B')
  {
   value=2;
   if (arrboard[b][x][1]=='B')
     {
      value=5;
      if (arrboard[b][x][0]=='B') value=8;
     }
  }
 return (value);
}


/* Return score for a particular player */

int ScoreBoard(char plyr,int b)
{
 int i,j,score;
 int temp;

 if (plyr=='W')
   score=ScoreColumnWhite(0,b)+ScoreColumnWhite(1,b)+ScoreColumnWhite(3,b)+
         ScoreColumnWhite(5,b)+ScoreColumnWhite(6,b)+ScoreColumnWhite(8,b)+
         ScoreColumnWhite(10,b)+ScoreColumnWhite(11,b);
 else
   score=ScoreColumnBlack(0,b)+ScoreColumnBlack(1,b)+ScoreColumnBlack(3,b)+
         ScoreColumnBlack(5,b)+ScoreColumnBlack(6,b)+ScoreColumnBlack(8,b)+
         ScoreColumnBlack(10,b)+ScoreColumnBlack(11,b);
 return(score);
}  


/* Check for decimation of opponent */

int WinGame(char plyr,int b)
{
 if (ScoreBoard(plyr,b)>=16) return(1);
 else return(0);
}


/* ********** STUFF added by Doug ************ */

int heuristic(int b)
 {
  int retval;

  retval = (ScoreBoard('W',b) - ScoreBoard('B',b))*100;
  retval += (Wcount[b] - Bcount[b])*50;
  retval += (Wdist[b] - Bdist[b]);
  return retval;
 }
