/******************************************
  2 Player Nevo Program

  Main loop.
  Kenrick Mock and Doug Mayfield.

********************************************/

#include <stdio.h>
#include <signal.h>
#include <ctype.h>
#include "nevo.h"

/****************/
play_board arrboard[10];
int Wcount[10];
int Bcount[10];
int Wdist[10];
int Bdist[10];

char comp_player;
int stopnow;
int stoptime;
/****************/

void new_init()
 {
  FILE *fp;
  int i,j;
 
  fp=fopen("start.game","r");
  for(i=0;i<7;i++)
   {
    for(j=0;j<12;j++)
      if((arrboard[0][j][i]=fgetc(fp))=='-') arrboard[0][j][i]=' ';
    fgetc(fp);
   }
  close(fp);
  Wcount[0] = Bcount[0] = 12;
  Wdist[0] = Bdist[0] = 12;
 }

/******************************************************************/
/*                Procedures to print the board                   */
/******************************************************************/
void display_board(int b)
 {
  int i,j;
 
  clear();
  move(0,1);
  printw("     *   *     *   * 1 1"); 
  move(1,1);
  printw(" 0 1 2 3 4 5 6 7 8 9 0 1");
  move(0,40); printw("White: %d",ScoreBoard('W',b));
  move(1,40); printw("Black: %d",ScoreBoard('B',b));
  move(2,1);
  printw("-------------------------\n");
  for(i=0;i<7;i++)
   {
    printw("%d|",i);
    for(j=0;j<12;j++)
      printw("%c|",arrboard[b][j][i]);
    printw("\n -------------------------\n");
   }
  refresh();
 }


hit_key()
 {
printw("\nHit enter to continue.\n");
refresh();
getchar();
refresh();
 }

/******************************************************************/
/*                           MAIN                                 */
/******************************************************************/
main(int argc,char *argv[])
 {
  char whose_turn='W';
  struct move_piece mov;
  int look;
  char move[4];
  int validmove;

  srand(getpid());
  new_init();
  initscr();
  scrollok(stdscr,TRUE);
  display_board(0);
  while(1)
   {
    validmove=-1;
    while (validmove==-1) {
      get_move_key(whose_turn,&mov); 
      validmove=ApplyMove(&mov,0);
    }
    display_board(0);
    if(WinGame(whose_turn,0))
     {
      printw("%s has Won!!!!!!!\n",(whose_turn=='W')?"WHITE":"BLACK");
      hit_key();
      exit(0);
     }
    whose_turn=(whose_turn=='W')?'B':'W';
   }
 }


